program calendar;

uses Crt;

type
	MonthType = record
		Number_of_Days : Byte;
		Month_Name  : String[9];
	end;

var
	Month, Year, Startday, TotalDays, NumDays, i, n : Word;

const
	MonthData : Array[1..12] of MonthType =
	 ((Number_of_Days : 31; Month_Name : ''),
	 (Number_of_Days : 28; Month_Name : 'ࠫ'),
	 (Number_of_Days : 31; Month_Name : ''),
	 (Number_of_Days : 30; Month_Name : '५'),
	 (Number_of_Days : 31; Month_Name : ''),
	 (Number_of_Days : 30; Month_Name : ''),
	 (Number_of_Days : 31; Month_Name : ''),
	 (Number_of_Days : 31; Month_Name : ''),
	 (Number_of_Days : 30; Month_Name : ''),
	 (Number_of_Days : 31; Month_Name : ''),
	 (Number_of_Days : 30; Month_Name : ''),
	 (Number_of_Days : 31; Month_Name : ''));

	Day_of_Week : Array[1..7] of String[2] =
	 ((''), (''), (''),
	 (''), (''), (''), (''));

	Leap = 2;
	Normal = 1;

begin
 ClrScr;
 WriteLn('  (1899-2099):');
 ReadLn(year);
 ClrScr;
 WriteLn(' 浪   (1-12):');
 ReadLn(month);

 NumDays := 0;
 for  i := 1899  to  year - 1  do
 begin
	if  (i mod 4 = 0) and (i mod 100 <> 0) or (i mod 400 = 0)  then
		inc(NumDays, Leap)
	else
		inc(NumDays, Normal);
 end;

 for i := 1 to month - 1 do
	inc(NumDays, MonthData[i].Number_of_Days);

 TotalDays := MonthData[month].Number_of_Days;

 if  (year mod 4 = 0) and (year mod 100 <> 0) or (year mod 400 = 0)  then
 begin
	if  month > 2  then  Inc(NumDays)
		else  if  month = 2  then
			inc(TotalDays, 1);
 end;

 StartDay := NumDays mod 7;

 ClrScr;
 WriteLn('  ', Year, ', ', Monthdata[month].Month_Name);
 WriteLn;

 TextColor(Red); Write(Day_of_Week[1]:5);
 TextColor(Yellow);
 for  i :=2  to  7  do  Write(Day_of_Week[i]:5);
 TextColor(White);
 WriteLn;
 WriteLn;
 GotoXY(5 * Startday + 1, 4);

 for  i := 1  to  TotalDays  do
 begin
	Write(I:5);
	if  WhereX > 32  then  WriteLn;
 end;

 WriteLn;
 WriteLn(' 襭 ࠡ  <Enter>');
 ReadLn;
end.
