program  table_of_trigonometric_functions;

uses  crt;

const
	degrees_to_radian = pi / 180.0;

type
	float = Extended;

var
	degree : word;
	radian : float;
	row, temp : string;
	out_file : text;

function  tan(x : float) : float;
begin
 tan := sin(x) / cos(x);
end;

function  cot(x : float) : float;
begin
 cot := cos(x) / sin(x);
end;

begin
 Assign(out_file, 'trig_tab.dat');
 ReWrite(out_file);
 ClrScr;
 row := 'ࠤ    Sin      Cos      Tan    Cot    ࠤ';
 WriteLn(row);
 WriteLn(out_file, row);
 WriteLn;
 WriteLn(out_file);
 for  degree := 0  to  45  do
 begin
	radian := degrees_to_radian * degree;
	Str(degree:5, row);
	Str(sin(radian):9:4, temp);  row := row + temp;
	Str(cos(radian):9:4, temp);  row := row + temp;
	Str(tan(radian):9:4, temp);  row := row + temp;
	if  degree = 0  then  
		Str(90:15, temp)
	else
	begin
		Str(cot(radian):9:4, temp);
		row := row + temp;
		Str((90 - degree):6, temp);
	end;
	row := row + temp;
	WriteLn(row);
	WriteLn(out_file, row);
	if  degree mod 5 = 4  then
	begin
		WriteLn(out_file);
		ReadLn;
	end;
 end;
 WriteLn;
 WriteLn(out_file);
 row := 'ࠤ  Cos      Sin       Cot     Tan    ࠤ';
 WriteLn(row);
 WriteLn(out_file, row);
 close(out_file);
 Write (' 襭 ࠡ  <Enter>: ');
 ReadLn;
end.
