{$S+}
program Cantor;
uses Crt, Graph, graphs;

var
	ch : Char;

const
	min_size = 1;

procedure draw(x, y : Integer;  size : Word);

var
	s : Word;

begin
 if  size > min_size  then
 begin
	s := size div 2;
	draw(x - size, y + size, s);
	draw(x - size, y - size, s);
	draw(x + size, y + size, s);
	draw(x + size, y - size, s);
 end;
 rectangle(x - size, y - size,  x + size, y + size);
 bar(x - size + 1, y - size + 1, x + size - 1, y + size - 1);
end;

begin
 open_graph;
 SetFillStyle(solidfill, black);
 SetColor(white);
 draw(GetMaxX div 2, GetMaxY div 2, GetMaxY div 4);
 OutTextXY(265, 235, 'Press <Space>');
 ch := ReadKey;
 SetColor(black);
 SetWriteMode(xorput);
 draw(getmaxx div 2, getmaxy div 2, getmaxy div 4);
 SetColor(white);
 OutTextXY(265, 235, 'Press <Space>');
 ch := ReadKey;
 close_graph;
end.
