program vortex;

uses Graph, graphs, Crt;

const
	max = 12;

var
	ch : Char;

procedure  draw;

var
	x, y, p, c0, s0 : Real;
	k : LongInt;
	q : Word;
	c, s : array[0..max - 1] of Real;
	mid_x, mid_y, radius, color : Integer;
	dx, dy : array[0..5] of Real;

 procedure  A(k : Word;  var  x, y : Real);

 const
	r = 0.75;

 var
	t : Real;

 begin
  t := x;
  x := r * (c0 * x + s0 * y);
  y := r * (-s0 * t + c0 * y);
  color := yellow;
 end;

 procedure  B(k : Word;  var  x, y : Real);

 const
	r = 0.14;

 begin
  x := r * x + c[k];
  y := r * y + s[k];
  color := lightcyan;
 end;

begin
 mid_x := GetMaxX div 2;
 mid_y := GetMaxY div 2;
 radius := trunc(1.2 * mid_y);
 c0 := Cos(-0.05 * Pi);
 s0 := Sin(-0.05 * Pi);
 for  k := 0  to  max - 1  do
 begin
	c[k] := Cos(2.0 * k * Pi / max);
	s[k] := Sin(2.0 * k * Pi / max);
 end;
 Randomize;
 x := 1.0;
 y := 0.5;
 for  k := 1  to  500000  do
 begin
	p := Random;  q := Random(max);
	if p < 0.25  then  
			B(q, x, y) 
 	else  
			A(q, x, y);
	PutPixel(mid_x + round(radius * x), 
			mid_y + round(radius * y), Random(15));
 end;
end;

begin
 open_graph;
 draw;
 SetColor(white);
 OutTextXY(0, 465, 'Press <Space>:');
 ch := ReadKey;
 close_graph;
end.
