program  find_fibonacci;

uses  crt;

type
	float = extended;

var
	L, M, x, y, z, a, b : float;
	n: word;

function  Fibonacci(n : word) : float;

var
	z, w, s: float;

begin
 z := Exp(n * L);
 w := Exp(n * M);
 if  odd(n)  then  s := a * z - b * w
 	else  s := a * z + b * w;
 Fibonacci := s;
end;

begin
 ClrScr;
 x := Sqrt(5.0);
 L := Ln(0.5 * ( 1.0 + x));
 M := Ln(0.5 * (-1.0 + x));
 a := 0.5 + 0.5 / x;
 b := 0.5 - 0.5 / x;
 n := 30;
 WriteLn;
 
 while  Fibonacci(n) <= MaxLongint  do  inc(n);

 WriteLn('Fibonacci[', n - 1, '] = ', Fibonacci(n - 1):10:0);
 WriteLn('MaxLongInt = ', MaxLongint:13);
 WriteLn('Fibonacci[', n, '] = ', Fibonacci(n):10:0);
 WriteLn;
 Write(' 襭 ࠡ  <Enter>: ');
 ReadLn;
end.
