program fern_in_out;

uses Graph, graphs, crt;

var
	ch : Char;

procedure  draw;

var
	t, x, y : Real;
	i, k : LongInt;
	mid_x, low_y, radius : Integer;
	p : Real;

begin
 mid_x := GetMaxX div 2;
 low_y := GetMaxY;
 radius := trunc(0.1 * low_y);
 Randomize;
 x := 1.0;
 y := 0.0;
 for  k := 1  to  50000  do
 begin
	p := Random;
	t := x;
	if  p <= 0.85  then
	begin
		x := 0.85 * x + 0.04 * y;
		y := -0.04 * t + 0.85 * y + 1.6;
	end
	else  
		if  p <= 0.92  then
		begin
			x := 0.20 * x - 0.26 * y;
			y := 0.23 * t + 0.22 * y + 1.6;
		end
		else  
			if  p <= 0.99  then
			begin
				x := -0.15 * x + 0.28 * y;
				y := 0.26 * t + 0.24 * y + 0.44;
			end
			else
			begin
				x := 0.0;
				y := 0.16 * y;
			end;
		PutPixel(mid_x + round(radius * x), 
			low_y - round(radius * y), egalightgreen);
 end;
end;

procedure FadeIn;

var
	i, k : Integer;

begin
 for  i := $00  to  $3940  do
 begin
	SetRGBPalette(egalightgreen, 0, i, 0);
	Delay(15)
 end;
end;

procedure FadeOut(time_out : Integer);

var
	i, k : Integer;

begin
 for  i := $3940  downto  0  do
 begin
	SetRGBPalette(egalightgreen, 0, i, 0);
	Delay(time_out)
 end;
end;

begin
 open_graph;
 FadeOut(1);
 draw;
 FadeIn;
 FadeOut(70);
 close_graph;
end.
